Bug 476103 - Auto hidden gnome-panels responds very trustless
Auto hidden gnome-panels responds very trustless
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Adel Gadllah
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-11 18:22 EST by Jan Teichmann
Modified: 2018-04-11 12:21 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-06 17:40:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Teichmann 2008-12-11 18:22:53 EST
User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; de; rv:1.9.0.4) Gecko/2008111217 Fedora/3.0.4-1.fc10 Firefox/3.0.4

The auto-hidden gnome-panels responds very trustless to mouse activity. Sometimes I've to move very often with the mouse over the hidden panel to fade the panel in.

Reproducible: Always

Steps to Reproduce:
1. auto-hide the panels
2. move the mouse over the hidden panel
3.
Actual Results:  
Nothing happened. The panel doesn't fade in. Sometimes I've also to click several times to the panel for a fade in.

Expected Results:  
The panel should fade in smoothly by moving the mouse to the hidden panel area.
Comment 1 Ray Strode [halfline] 2008-12-12 10:15:27 EST
seems to work okay for me.  Do you run compiz or something else that might be taking control of the edge of the screen?  what if you move your panel to a different edge, does it work better then?
Comment 2 Jan Teichmann 2008-12-12 10:29:34 EST
Yes I run compiz and if I turn compiz off the fade in is working fine! With compiz it doesn't matter on which edge I will place the panel.
Comment 3 Ray Strode [halfline] 2008-12-12 10:59:19 EST
What plugins are you running?
Comment 4 Jan Teichmann 2008-12-12 11:10:54 EST
core
glib
gconf
dbus
png
svg
video
screenshot
decoration
wobbly
clone
place
fade
minimize
wall
move
resize
switcher
scale

Seems to be the default plugins, because I haven't changed something. This are a lot of active plugins, or?
Comment 5 Ben Peltz 2009-10-20 16:29:36 EDT
I've noticed the same issue running the LiveCD of Fedora 12 Beta.
Comment 7 Matěj Cepl 2009-11-17 07:01:33 EST
Switching incorrect assignees to the default one.
Comment 8 Bug Zapper 2009-11-18 05:27:09 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Brad Longo 2009-12-04 12:13:07 EST
I have this issue in Fedora 12.  Could someone please change the version to 12 for this bug.  

In response to comment one, I only experience this problem with compiz enabled.  In this case, the panel never comes out of hiding.  The panel works just fine with standard desktop effects.
Comment 10 Jan Teichmann 2009-12-05 07:06:59 EST
I had this issue in F12 again. It is related with Compiz for sure and the panels have been only fading in when I was pointing the mouse to the left corners of the screen. I solved that problem on my laptop by setting this values in the gnome configuration editor under \apps\panel\toplevels\

auto_hide_size 10
hide_delay 500
unhide_delay 0

now my panels respond immediately and not only by pointing to the left corners.
Comment 11 Brad Longo 2009-12-05 16:09:11 EST
Thank you Jan.  Changing these values fixed my problem.

Note You need to log in before you can comment on or make changes to this bug.